package com.prolog.rdc.tms.service;

import com.prolog.product.core.framework.entity.UserEntity;
import com.prolog.rdc.tms.model.vo.*;

import java.util.List;

public interface BillDownloadService {

    /**
     * 单据下传
     */
    void downloadSave(List<BillDownloadVO> vos);

    /**
     * 单据收入费用重新核算
     */
    Integer calculateBillFee(CalculateBillFeeVO vo);

    /**
     * 单据支出费用重新核算
     */
    Integer calculatePayBillFee(CalculateBillFeeVO vo);

    /**
     * 支出费用计算
     */
    void calculatePayFee(BillDownloadVO vo, UserEntity user);

}
